Create Connect Request
curl --request POST \
--url https://bptest.mapleai.cc/api/ecosystem/connect-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_name": "<string>",
"requirement_details": "<string>"
}
'import requests
url = "https://bptest.mapleai.cc/api/ecosystem/connect-requests"
payload = {
"company_name": "<string>",
"requirement_details": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company_name: '<string>', requirement_details: '<string>'})
};
fetch('https://bptest.mapleai.cc/api/ecosystem/connect-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {
"company_name": "<string>",
"service_type": "legal",
"requirement_details": "<string>",
"id": "<string>",
"tenant_id": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"project_id": "<string>",
"partner_id": "<string>",
"potential_partner": "<string>",
"service_amount": 1,
"profit_share": 1,
"profit_rate": "0.1500",
"status_history": [
{
"to": "pending",
"at": "2023-11-07T05:31:56Z",
"from": "pending",
"by": "<string>",
"remark": "<string>"
}
],
"match_follow_up_statuses": {},
"completed_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"status_label": "<string>",
"service_type_label": "<string>",
"partner_name": "<string>"
},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}生态资源 / Ecosystem
Create Connect Request
POST
/
api
/
ecosystem
/
connect-requests
Create Connect Request
curl --request POST \
--url https://bptest.mapleai.cc/api/ecosystem/connect-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_name": "<string>",
"requirement_details": "<string>"
}
'import requests
url = "https://bptest.mapleai.cc/api/ecosystem/connect-requests"
payload = {
"company_name": "<string>",
"requirement_details": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company_name: '<string>', requirement_details: '<string>'})
};
fetch('https://bptest.mapleai.cc/api/ecosystem/connect-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {
"company_name": "<string>",
"service_type": "legal",
"requirement_details": "<string>",
"id": "<string>",
"tenant_id": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"project_id": "<string>",
"partner_id": "<string>",
"potential_partner": "<string>",
"service_amount": 1,
"profit_share": 1,
"profit_rate": "0.1500",
"status_history": [
{
"to": "pending",
"at": "2023-11-07T05:31:56Z",
"from": "pending",
"by": "<string>",
"remark": "<string>"
}
],
"match_follow_up_statuses": {},
"completed_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"status_label": "<string>",
"service_type_label": "<string>",
"partner_name": "<string>"
},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Body
application/json